Skip to main content
GET
/
admin
/
v1
/
items
/
{itemId}
/
memory-threads
List Item Memory Threads
curl --request GET \
  --url https://api.example.com/admin/v1/items/{itemId}/memory-threads
{
  "data": [
    {
      "userId": "<string>",
      "agentId": "<string>",
      "memoryId": "<string>",
      "threadKey": "<string>",
      "threadType": "<string>",
      "anchorKind": "<string>",
      "anchorKey": "<string>",
      "displayLabel": "<string>",
      "lifecycleStatus": "<string>",
      "objectState": "<string>",
      "headline": "<string>",
      "itemId": 123,
      "role": "<string>",
      "primary": true,
      "relevanceWeight": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt

Use this file to discover all available pages before exploring further.

The API Reference is under active development. Request and response schemas may change before a stable release.

Path Parameters

itemId
integer<int64>
required

Query Parameters

userId
string
required
agentId
string

Response

200 - */*

OK

data
object[]